AWS Amplify API
AWS Amplify Home
Options
All

- Public
- Public/Protected
- All

Inherited Externals Only exported
Menu

### Hierarchy

- AbstractXRProvider
  - SumerianProvider

### Implements

- any

## Index

### Constructors

- constructor

### Accessors

- options

### Methods

- configure
- enableAudio
- enterVR
- exitVR
- getCategory
- getProviderName
- getSceneController
- isMuted
- isSceneLoaded
- isVRCapable
- isVRPresentationActive
- loadScene
- onSceneEvent
- setMuted
- start

## Constructors

### constructor

- new AbstractXRProvider(options?: ProviderOptions): AbstractXRProvider

- - Defined in xr/src/Providers/XRProvider.ts:20

  #### Parameters

  - ##### Default value options: ProviderOptions = {}

  #### Returns AbstractXRProvider

## Accessors

### Protected options

options:

- Defined in xr/src/Providers/XRProvider.ts:38

## Methods

### configure

- configure(config?: ProviderOptions): ProviderOptions

- - Defined in xr/src/Providers/XRProvider.ts:26

  #### Parameters

  - ##### Default value config: ProviderOptions = {}

  #### Returns ProviderOptions

### Abstract enableAudio

- enableAudio(sceneName: string): void

- - Defined in xr/src/Providers/XRProvider.ts:51

  #### Parameters

  - ##### sceneName: string

  #### Returns void

### Abstract enterVR

- enterVR(sceneName: string): void

- - Defined in xr/src/Providers/XRProvider.ts:46

  #### Parameters

  - ##### sceneName: string

  #### Returns void

### Abstract exitVR

- exitVR(sceneName: string): void

- - Defined in xr/src/Providers/XRProvider.ts:47

  #### Parameters

  - ##### sceneName: string

  #### Returns void

### getCategory

- getCategory(): string

- - Defined in xr/src/Providers/XRProvider.ts:34

  #### Returns string

### Abstract getProviderName

- getProviderName(): string

- - Defined in xr/src/Providers/XRProvider.ts:36

  #### Returns string

### Abstract getSceneController

- getSceneController(sceneName: string): any

- - Defined in xr/src/Providers/XRProvider.ts:42

  #### Parameters

  - ##### sceneName: string

  #### Returns any

### Abstract isMuted

- isMuted(sceneName: string): boolean

- - Defined in xr/src/Providers/XRProvider.ts:48

  #### Parameters

  - ##### sceneName: string

  #### Returns boolean

### Abstract isSceneLoaded

- isSceneLoaded(sceneName: string): any

- - Defined in xr/src/Providers/XRProvider.ts:41

  #### Parameters

  - ##### sceneName: string

  #### Returns any

### Abstract isVRCapable

- isVRCapable(sceneName: string): boolean

- - Defined in xr/src/Providers/XRProvider.ts:43

  #### Parameters

  - ##### sceneName: string

  #### Returns boolean

### Abstract isVRPresentationActive

- isVRPresentationActive(sceneName: string): boolean

- - Defined in xr/src/Providers/XRProvider.ts:44

  #### Parameters

  - ##### sceneName: string

  #### Returns boolean

### Abstract loadScene

- loadScene(sceneName: string, domElementId: string, sceneOptions: SceneOptions): void

- - Defined in xr/src/Providers/XRProvider.ts:40

  #### Parameters

  - ##### sceneName: string

  - ##### domElementId: string

  - ##### sceneOptions: SceneOptions

  #### Returns void

### Abstract onSceneEvent

- onSceneEvent(sceneName: string, eventName: string, eventHandler: Function): void

- - Defined in xr/src/Providers/XRProvider.ts:50

  #### Parameters

  - ##### sceneName: string

  - ##### eventName: string

  - ##### eventHandler: Function

  #### Returns void

### Abstract setMuted

- setMuted(sceneName: string, muted: boolean): void

- - Defined in xr/src/Providers/XRProvider.ts:49

  #### Parameters

  - ##### sceneName: string

  - ##### muted: boolean

  #### Returns void

### Abstract start

- start(sceneName: string): void

- - Defined in xr/src/Providers/XRProvider.ts:45

  #### Parameters

  - ##### sceneName: string

  #### Returns void